Bug 459329 - Preupgrade should provide a way to check it has enough free disk space to complete the upgrade
Preupgrade should provide a way to check it has enough free disk space to com...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-16 11:58 EDT by Răzvan Sandu
Modified: 2008-11-26 01:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 01:12:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2008-08-16 11:58:17 EDT
Description of problem:

This was originally reported as bug #444979, then splitted:

Preupgrade should provide a way to check it has enough free disk space to
complete the upgrade *to the last phase*. I've already arrived in the situation
when preupgrade downloaded the packages, the anaconda couldn't complete the
upgrade due of lacking disk space, leaving the system in an bad state (disk 100%
full, a default boot entry to perform the impossible upgrade, etc.).

Regards,
Răzvan
Comment 1 Will Woods 2008-09-23 15:45:18 EDT
Preupgrade currently checks for sufficient disk space to download packages.

Checking for sufficient disk space to complete the entire upgrade is tricky. It requires running an RPM test transaction, which provides no status callbacks, so unless we completely redesign the UI preupgrade seems to hang for two or three minutes while using 100% CPU.

Even after the test transaction runs, we get different results than anaconda does, resulting in false positives - i.e. preupgrade says "You're ready to upgrade!" and then anaconda errors out.

So, a compromise: preupgrade checks for at least 500MB free on /usr. If you don't have that, it warns you that you *might* not be able to complete the upgrade. You can continue anyway and the upgrade might, in fact, work OK. If it fails, no big deal - the default boot entry will be the *old* system.

Until there are status callback hooks in RPM test transactions or we rewrite the entire preupgrade UI, this is the closest we can get.
Comment 2 Fedora Update System 2008-10-02 19:03:57 EDT
preupgrade-0.9.8-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/preupgrade-0.9.8-2.fc9
Comment 3 Fedora Update System 2008-10-02 19:04:02 EDT
preupgrade-0.9.8-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/preupgrade-0.9.8-2.fc8
Comment 4 Fedora Update System 2008-10-03 18:28:33 EDT
preupgrade-0.9.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8545
Comment 5 Fedora Update System 2008-10-03 18:31:56 EDT
preupgrade-0.9.8-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8576
Comment 6 Fedora Update System 2008-10-23 12:36:42 EDT
preupgrade-0.9.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8545
Comment 7 Fedora Update System 2008-10-23 12:40:00 EDT
preupgrade-0.9.8-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8576
Comment 8 Fedora Update System 2008-11-11 21:58:17 EST
preupgrade-0.9.9-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8576
Comment 9 Fedora Update System 2008-11-11 21:59:18 EST
preupgrade-0.9.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8545
Comment 10 Fedora Update System 2008-11-21 18:48:50 EST
preupgrade-1.0.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/preupgrade-1.0.0-1.fc10
Comment 11 Bug Zapper 2008-11-25 21:47:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora Update System 2008-11-26 01:12:17 EST
preupgrade-1.0.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-11-26 01:13:20 EST
preupgrade-1.0.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-11-26 01:21:48 EST
preupgrade-1.0.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.